Bug 212382 - LowPerformance took 5039 ms.
LowPerformance took 5039 ms.
Status: RESOLVED FIXED
Product: javascript
Classification: Unclassified
Component: Debugger
7.2
All All
: P3 (vote)
: 7.2
Assigned To: David Konecny
issues@javascript
EXCEPTIONS_REPORT perf-profileme
: PERFORMANCE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-11 12:33 UTC by Petr Jiricka
Modified: 2012-09-03 13:03 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
nps snapshot (14.34 KB, application/nps)
2012-05-11 12:33 UTC, Petr Jiricka
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Jiricka 2012-05-11 12:33:31 UTC
This issue was reported manually by pjiricka.
It already has 2 duplicates 


Build: NetBeans IDE Dev (Build EaselCSS-167-on-20120511)
VM: Java HotSpot(TM) 64-Bit Server VM, 23.0-b21, Java(TM) SE Runtime Environment, 1.7.0_04-b21
OS: Mac OS X

User Comments:
pjiricka: Setting a breakpoint in JavaScript debugger.



Maximum slowness yet reported was 5039 ms, average is 4678
Comment 1 Petr Jiricka 2012-05-11 12:33:37 UTC
Created attachment 119349 [details]
nps snapshot
Comment 2 David Konecny 2012-05-13 23:22:24 UTC
Debugger.addLineBreakpoint is setting sending blocking command to browser in AWT thread. Should probably use callback instead.
Comment 3 David Konecny 2012-05-14 02:37:12 UTC
9b91c01c3b76

It is strange that it should take 5 seconds for your browser to respond to "addBreakpoint" command. I find communication with Chrome *instant* - as fast as embedded WebView. Could you keep an eye on this please and report back if your browser gets frequently slow. If it would help I can log time in WebKit Output window.
Comment 4 Quality Engineering 2012-09-03 13:03:18 UTC
Integrated into 'main-golden', will be available in build *201209031048* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/9b91c01c3b76
User: David Konecny <dkonecny@netbeans.org>
Log: #212382 - LowPerformance took 5039 ms.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo